Name:           perl-Authen-Radius
Version:        0.13
Release:        5%{?dist}
Summary:        Perl Authen::Radius modules
# See LICENSING.txt
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/RadiusPerl/
Source0:        http://www.cpan.org/modules/by-module/Authen/RadiusPerl-%{version}.tar.gz
Source1:	LICENSING.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Data::HexDump) >= 0.02
BuildRequires:  perl(Digest::MD5) >= 2.20, perl(IO) >= 1.12, perl-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
RadiusPerl is a Perl 5 module (Radius.pm) which allows you to 
communicate with a Radius server from Perl. You can just authenticate 
usernames/passwords via Radius, or completely imitate AAA requests and 
process server response.

%prep
%setup -q -n Authen-Radius-%{version}
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
# Disabled check, as a running Radius-server is needed
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README LICENSING.txt
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.13-3
- fix license tag (with permission from upstream)

* Thu Feb  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.13-2
- rebuild for new perl

* Sat Mar 10 2007 Andreas Thienemann <andreas@bawue.net> - 0.13-1
- Updated to 0.13
- Added perl-devel BuildReq

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 0.12-3
- FE6 Rebuild

* Thu Apr 13 2006 Andreas Thienemann <andreas@bawue.net> 0.12-2
- Final cleanup for inclusion.

* Wed Mar 29 2006 Andreas Thienemann <andreas@bawue.net> 0.12-1
- Cleaned up for FE
- Specfile autogenerated by cpanspec 1.64.
